### Class

# EDataServer OAuth2Services

since: 3.28

#### Description [src]

    class EDataServer.OAuth2Services : GObject.Object
      implements EDataServer.Extensible {
      /* No available fields */
    }

Contains only private data that should be read and manipulated using the functions below.

Available since: 3.28

#### Hierarchy

#### Ancestors

- GObject

#### Implements

- EExtensible

#### Constructors

###### e_oauth2_services_new

Creates a new `EOAuth2Services` instance.

since: 3.28

#### Functions

###### e_oauth2_services_is_oauth2_alias_static

This is the same as e_oauth2_services_is_oauth2_alias(), except it creates its own `EOAuth2Services` instance and frees it at the end. The `EOAuth2Services` is implemented as a singleton, thus it won’t be much trouble, as long as there is something else having created one instance.

since: 3.28

###### e_oauth2_services_is_supported

No description available.

since: 3.28

#### Instance methods

###### e_oauth2_services_add

Adds the `service` to the list of known OAuth2 services into `services`. It also adds a reference to `service`.

since: 3.28

###### e_oauth2_services_find

Searches the list of currently known OAuth2 services for the one which can be used with the given `source`.

since: 3.28

###### e_oauth2_services_guess

Searches the list of currently known OAuth2 services for the one which can be used with the given `protocol` and/or `hostname`. Any of `protocol` and `hostname` can be `NULL`, but not both. It’s up to each `EOAuth2Service` to decide, which of the arguments are important and whether all or only any of them can be required.

since: 3.28

###### e_oauth2_services_is_oauth2_alias

No description available.

since: 3.28

###### e_oauth2_services_list

Lists all currently known services, which had been added with e_oauth2_services_add(). Free the returned `GSList` with g_slist_remove_full (known_services, g_object_unref); when no longer needed.

since: 3.28

###### e_oauth2_services_remove

Removes the `service` from the list of known services in `services`. The function does nothing, if the `service` had not been added.

since: 3.28

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from EExtensible (3)

###### e_extensible_list_extensions

Returns a list of `EExtension` objects bound to `extensible` whose types are ancestors of `extension_type`. For a complete list of extension objects bound to `extensible`, pass `E_TYPE_EXTENSION`.

since: 3.4

###### e_extensible_load_extensions

Creates an instance of all instantiable subtypes of `EExtension` which target the class of `extensible`. The lifetimes of these newly created `EExtension` objects are bound to `extensible` such that they are finalized when `extensible` is finalized.

since: 3.4

###### e_extensible_reload_extensions

Similar to e_extensible_load_extensions(), only loads newly discovered extensions again. This can help in case a new module had been loaded to the process, which provides the extensions for the `extensible`.

since: 3.46

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct EDataServerOAuth2ServicesClass {
      GObjectClass parent_class;
      gpointer reserved;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`reserved: gpointer`

  No description available.